#ifndef ELC1_READER__H
#define ELC1_READER__H

#include "utils.h"
#ifndef EZ_APPLICATION_LICENCE_DISABLE

#include "licenceCommon.h"
#include "licenceELC1.h"
#include "SDCard.h"

using namespace std;

namespace Reader
{
  class Licence1 : public LicenceELC1
  {
  public:
    
    LicenceELC1Info licenceInfo;
    
    Licence1();
    ~Licence1();
    Licence1(LicenceIdentification &licIdentification);

    bool readLicence(LicenceInfoGeneral *licences);
    bool getLicenceInfo(void *ptr);
    bool getLicenceItemInfo(int protocolId, void *returnItemStructure);
    void getLicenceItems();

  };
}

#endif
#endif